"use strict";

export default function(obj, path) {
	const current = obj;
	for(const part of path.split(`.`)) {
		if(typeof current[part] === "undefined") return undefined;
		current = current[part];
	}
	return current;
}
