import ClientRouter from 'powahroot/Client.mjs';

import route_dashboard from './routes/route_dashboard.mjs';
import route_table from './routes/route_table.mjs';

export default function make_routes() {
	const router = new ClientRouter({
		verbose: true,
		listen_pushstate: true
	});
	
	router.add_404(() => router.navigate(""));
	
	router.add_page("table/:table_name", route_table);
	router.add_page("", route_dashboard);
	
	return router;
}
